import QtQuick 2.15
import QtQuick.Controls 2.15

Page {
    id: page2

    signal textValidated(string text)

    Column {
        anchors.centerIn: parent
        spacing: 20

        TextField {
            id: inputField
            placeholderText: "Saisir un texte"
            width: 200
        }

        Button {
            text: "Valider"
            onClicked: {
                if (inputField.text !== "") {
                    textValidated(inputField.text)
                }
            }
        }
    }
}
